class Botomizer::Message
  attr_accessor :id, :text, :cmd, :data

  def initialize(params, options = {})
    @id   = params[:id]
    @text = params[:text].to_s
    @data = params[:data].to_s

    if @text.index('/') == 0
      sp    = @text.gsub(options[:name] || '', '').split(' ')
      @cmd  = sp.first.downcase.gsub!('/', '')
      @text = sp.drop(1).join(' ')
    elsif @data.index('/') == 0
      sp    = @data.gsub(options[:name] || '', '').split(' ')
      @cmd  = sp.first.downcase.gsub!('/', '')
      @data = sp.drop(1).join(' ')
    end
  end

  def cmd?
    !@cmd.nil?
  end

  def text?
    !@text.blank?
  end

  def data?
    !@data.blank?
  end
end