class Botomizer::Telegram::Webhook
  def initialize(client)
    @client = client
  end

  def set(url)
    @client.send('setWebhook', {url: url})
  end

  def set!(url)
    @client.send!('setWebhook', {url: url})
  end

  def info
    @client.send('getWebhookInfo')
  end

  def delete
    @client.send('deleteWebhook')
  end

  def delete!
    @client.send!('deleteWebhook')
  end
end